
 	<?php
	
	date_default_timezone_set('America/Costa_Rica');
	error_reporting(E_ALL);	
	ini_set('display_errors', 1);  
	include('../conexion.php'); 
	require('../FE/fe_consultasbd.php');	
	require ('../funciones/log.php');
	$parametros_FE = 'SELECT * FROM wc_parametros_fe ';
	$result_parametros_FE = $mysqli->query($parametros_FE);
	$row__FE = $result_parametros_FE->fetch_array();	
	$base_url =  $row__FE['UriLocalhost'];

	
		
// 	*************************************	
//	Valorar el estado de sesion y comunicarse con DGT
//	*************************************
	$ahora  = strtotime(date('Y-m-d H:i:s'));
	$mostrarLog = true;	
	$conexion = @fsockopen('www.google.com', 80, $errno, $errstr, 30);	
	if (!$conexion) {   // no tenemos internet
		setLog('SE: SIN INTERNET');
	} else {
		$bdHorasession = $resultadoToken['refresh_session_limit'];				
		if( $ahora < $bdHorasession ){ // la sesion esta activa?
			if($resultadoToken['estado'] == 1){	
			//	setLog('SE: SESION ACTIVA',$mostrarLog);
		     require('../FE/refresh_token.php');	// refreca token
			}else{		
			//setLog('SE: SESION no quiere funcionar',$mostrarLog);		
			require('../FE/iniciar_sesion.php');
			}
		}else{
			if($resultadoToken['estado'] == 1){	
			require('../FE/cerrar_sesion.php');
			}else{
			require('../FE/iniciar_sesion.php');
			//setLog('SE: SESION no quiere funcionar para nada',$mostrarLog);	
			}
		}		
	}	